| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xhdmi_menu.c File Reference

## Overview

This file contains the Xilinx Menu implementation as used in the HDMI example design.

Please see xhdmi_menu.h for more details.

    MODIFICATION HISTORY:

    Ver   Who  Date       Changes

    X.X   ..   DD-MM-YYYY ..
    1.0   mmo  30-04-2019 Initial version
    1.1   ku   14-07-2020 Menu option for 4K Quad selection
                          Menu option for 16 BPC

## Functions
void | Info (void)
| This function outputs the video timing , Audio, Link Status, HDMI RX state of HDMI RX core. More...
void | DetailedInfo (void)
| This function prints additional details of the system for debug purpose. More...
void | XHdmi_MenuInitialize (XHdmi_Menu *InstancePtr, u32 UartBaseAddress, u8 *ForceIndependentPtr, u8 *SystemEventPtr, u8 *IsTxPresentPtr, u8 *IsRxPresentPtr, void *ChangeColorbarOutputCB, void *ConfigureTpgEnableInputCB, void *ToggleHdmiRxHpdCB)
| This function takes care of the HDMI menu initialization. More...
void | XHdmi_MenuReset (XHdmi_Menu *InstancePtr)
| This function resets the menu to the main menu. More...
void | XHdmi_MenuProcess (XHdmi_Menu *InstancePtr, u8 TxBusy)
| This function is called to trigger the HDMI menu statemachine. More...

## Function Documentation

void DetailedInfo | ( | void |  | ) |

This function prints additional details of the system for debug purpose.

Parameters

  None. |

Returns
  None.

Note
  None.

References XV_HdmiRxSs1::HdmiRx1Ptr, XV_HdmiRxSs1_DebugInfo(), XV_HdmiRxSs1_ReportCoreInfo(), and XV_HdmiRxSs1_ReportSubcoreVersion().

void Info | ( | void |  | ) |

This function outputs the video timing , Audio, Link Status, HDMI RX state of HDMI RX core.

In addition, it also prints information about HDMI TX, and HDMI GT cores.

Parameters

  None. |

Returns
  None.

Note
  None.

References XV_HdmiRxSs1::EnableHDCPLogging, XV_HdmiRxSs1_ReportAudio(), XV_HdmiRxSs1_ReportDRMInfo(), XV_HdmiRxSs1_ReportLinkQuality(), and XV_HdmiRxSs1_ReportTiming().

void XHdmi_MenuInitialize | ( | XHdmi_Menu * | InstancePtr,
|  | u32 | UartBaseAddress,
|  | u8 * | ForceIndependentPtr,
|  | u8 * | SystemEventPtr,
|  | u8 * | IsTxPresentPtr,
|  | u8 * | IsRxPresentPtr,
|  | void * | ChangeColorbarOutputCB,
|  | void * | ConfigureTpgEnableInputCB,
|  | void * | ToggleHdmiRxHpdCB
| ) |  |

This function takes care of the HDMI menu initialization.

Parameters

  InstancePtr | is a pointer to the XHdmi_Menu instance.

Returns
  None

References XHdmi_Menu::CurrentMenu, XHdmi_Menu::UartBaseAddress, and XHdmi_Menu::Value.

Referenced by main().

void XHdmi_MenuProcess | ( | XHdmi_Menu * | InstancePtr,
|  | u8 | TxBusy
| ) |  |

This function is called to trigger the HDMI menu statemachine.

Parameters

  InstancePtr | is a pointer to the XHdmi_Menu instance.
  input | is the value used for the next menu state decoder.

Returns
  None

References XHdmi_Menu::CurrentMenu, XHdmi_Menu::UartBaseAddress, and XHdmi_Menu::Value.

Referenced by main().

void XHdmi_MenuReset | ( | XHdmi_Menu * | InstancePtr | ) |

This function resets the menu to the main menu.

Parameters

  InstancePtr | is a pointer to the XHdmi_Menu instance.

Returns
  None

References XHdmi_Menu::CurrentMenu.